
Redmine - Defect #38860

Issue create abnormally 

2023-07-19 07:39 - young lee

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 5.0.5

Description

Hello.

This is my first time to build a red mine.(My Redmine Version 5.0.5)

After installation, I create project and issue.

But creating issue, I was faced with an abnormal generation about issue.

First Issue create is fine.

[normal Issue create]

I, [20Processing by IssuesController#new as JS

I, [20  Parameters: {"utf8"=>"?", "authenticity_token"=>"LaGYWvcJiifzjVwE4H4ETYCIrJER5ksKMXZ9x/OPx

993ehyfWD2I6EuxmV4X9vOvWL07E2gOKVwL6ZKuUYqB5w==", "form_update_triggered_by"=>"issue_project_id", 

"issue"=>{"is_private"=>"0", "project_id"=>"7", "tracker_id"=>"1", "subject"=>"sadfs", "descriptio

n"=>"", "status_id"=>"1", "priority_id"=>"2", "assigned_to_id"=>"", "parent_issue_id"=>"", "start_

date"=>"2023-07-19", "due_date"=>"", "estimated_hours"=>"", "done_ratio"=>"0", "watcher_user_ids"=

>[""]}, "was_default_status"=>"1"}

I, [20  Current user: admin (id=1)

I, [20  Rendered issues/new.js.erb (Duration: 70.6ms | Allocations: 18132)

I, [20Completed 200 OK in 116ms (Views: 62.3ms | ActiveRecord: 20.4ms | Allocations: 28122)

I, [20Started POST "/issues" for 210.108.138.86 at 2023-07-19 14:14:09 +0900

I, [20Processing by IssuesController#create as HTML

I, [20  Parameters: {"utf8"=>"?", "authenticity_token"=>"LaGYWvcJiifzjVwE4H4ETYCIrJER5ksKMXZ9x/OPx

993ehyfWD2I6EuxmV4X9vOvWL07E2gOKVwL6ZKuUYqB5w==", "form_update_triggered_by"=>"", "issue"=>{"is_pr

ivate"=>"0", "project_id"=>"7", "tracker_id"=>"1", "subject"=>"sadfs", "description"=>"<p>sdafsdf<

/p>\r\n", "status_id"=>"1", "priority_id"=>"2", "assigned_to_id"=>"", "parent_issue_id"=>"", "star

t_date"=>"2023-07-19", "due_date"=>"", "estimated_hours"=>"", "done_ratio"=>"0", "watcher_user_ids

"=>[""]}, "was_default_status"=>"1", "commit"=>"만들기"}

I, [20  Current user: admin (id=1)

I, [20[ActiveJob] Enqueued ActionMailer::MailDeliveryJob (Job ID: c65bd998-c084-47c4-8833-723637fe

55d9) to Async(mailers) with arguments: "Mailer", "issue_add", "deliver_now", {:args=>[#<GlobalID:

0x000000000792a980 @uri=#<URI::GID gid://redmine-app/User/1>>, #<GlobalID:0x0000000007929990 @uri=

#<URI::GID gid://redmine-app/Issue/190>>]}

I, [20Redirected to http://redmine-mvno.medialog.co.kr/issues/190

I, [20Completed 302 Found in 103ms (ActiveRecord: 26.1ms | Allocations: 18437)

I, [20Job] [c65bd998-c084-47c4-8833-723637fe55d9] Performing ActionMailer::MailDeliveryJob (Job ID

: c65bd998-c084-47c4-8833-723637fe55d9) from Async(mailers) enqueued at 2023-07-19T05:14:09Z with 

arguments: "Mailer", "issue_add", "deliver_now", {:args=>[#<GlobalID:0x0000000008167ee0 @uri=#<URI

::GID gid://redmine-app/User/1>>, #<GlobalID:0x0000000008164510 @uri=#<URI::GID gid://redmine-app/

Issue/190>>]}

I, [20Started GET "/issues/190" for 210.108.138.86 at 2023-07-19 14:14:09 +0900

I, [20Processing by IssuesController#show as HTML

I, [20  Parameters: {"id"=>"190"}

I, [20  Current user: admin (id=1)

I, [20Job] [c65bd998-c084-47c4-8833-723637fe55d9]   Rendered mailer/issue_add.text.erb within layo

uts/mailer (Duration: 29.2ms | Allocations: 5700)

I, [20Job] [c65bd998-c084-47c4-8833-723637fe55d9]   Rendered layout layouts/mailer.text.erb (Durat

ion: 37.3ms | Allocations: 7148)

I, [20Job] [c65bd998-c084-47c4-8833-723637fe55d9]   Rendered mailer/issue_add.html.erb within layo

uts/mailer (Duration: 14.8ms | Allocations: 2938)

I, [20Job] [c65bd998-c084-47c4-8833-723637fe55d9]   Rendered layout layouts/mailer.html.erb (Durat
ion: 20.6ms | Allocations: 3983)

I, [20Job] [c65bd998-c084-47c4-8833-723637fe55d9] Performed ActionMailer::MailDeliveryJob (Job ID:

 c65bd998-c084-47c4-8833-723637fe55d9) from Async(mailers) in 185.57ms

I, [20  Rendered issues/show.html.erb within layouts/base (Duration: 166.9ms | Allocations: 41637)

I, [20  Rendered layout layouts/base.html.erb (Duration: 220.3ms | Allocations: 54173)

I, [20Completed 200 OK in 409ms (Views: 189.0ms | ActiveRecord: 115.0ms | Allocations: 91462)

 But If I recreate a new issue, an error occurs.

[Error Log]

Started GET "/projects/test/issues" for 210.108.138.86 at 2023-07-19 14:14:36 +0900

Processing by IssuesController#index as HTML

  Parameters: {"project_id"=>"test"}

  Current user: admin (id=1)

  Rendered issues/index.html.erb within layouts/base (Duration: 107.4ms | Allocations: 36739)

  Rendered layout layouts/base.html.erb (Duration: 141.0ms | Allocations: 45328)

Completed 200 OK in 203ms (Views: 132.1ms | ActiveRecord: 25.1ms | Allocations: 55653)

Started GET "/projects/test/issues/new" for 210.108.138.86 at 2023-07-19 14:14:37 +0900

Processing by IssuesController#new as HTML

  Parameters: {"project_id"=>"test"}

  Current user: admin (id=1)

  Rendered issues/new.html.erb within layouts/base (Duration: 67.0ms | Allocations: 17614)

  Rendered layout layouts/base.html.erb (Duration: 98.6ms | Allocations: 26401)

Completed 200 OK in 135ms (Views: 86.6ms | ActiveRecord: 20.3ms | Allocations: 32707)

Started POST "/projects/test/issues" for 210.108.138.86 at 2023-07-19 14:14:40 +0900

Processing by IssuesController#create as HTML

  Parameters: {"utf8"=>"?", "authenticity_token"=>"VmkqMXm3jsFJAsCsSK6+CsZDkLvYLQiH5UR7VRT46zUMsq7

01oOMDvE+Bfa/JknoHnYHOaHFatHf25Q8tv2tDQ==", "form_update_triggered_by"=>"", "issue"=>{"is_private"

=>"0", "tracker_id"=>"1", "subject"=>"asdfsdaf", "description"=>"<p>sdfsdaf</p>\r\n", "status_id"=

>"1", "priority_id"=>"2", "assigned_to_id"=>"", "parent_issue_id"=>"", "start_date"=>"2023-07-19",

 "due_date"=>"", "estimated_hours"=>"", "done_ratio"=>"0", "watcher_user_ids"=>[""]}, "was_default

_status"=>"1", "commit"=>"만들기", "project_id"=>"test"}

  Current user: admin (id=1)

[ActiveJob] Enqueued ActionMailer::MailDeliveryJob (Job ID: d447afb3-aa06-4624-bad7-8f1ef09d250d) 

to Async(mailers) with arguments: "Mailer", "issue_add", "deliver_now", {:args=>[#<GlobalID:0x0000

0000070ddcf0 @uri=#<URI::GID gid://redmine-app/User/1>>, #<GlobalID:0x00000000070dd200 @uri=#<URI:

:GID gid://redmine-app/Issue/191>>]}

Redirected to http://redmine-mvno.medialog.co.kr/issues/191

Completed 302 Found in 75ms (ActiveRecord: 14.8ms | Allocations: 15738)

Started GET "/issues/191" for 210.108.138.86 at 2023-07-19 14:14:40 +0900

Processing by IssuesController#show as HTML

  Parameters: {"id"=>"191"}

  Current user: admin (id=1)

  Rendered common/error.html.erb within layouts/base (Duration: 1.2ms | Allocations: 237)

  Rendered layout layouts/base.html.erb (Duration: 28.7ms | Allocations: 7008)

Filter chain halted as :find_issue rendered or redirected

Completed 404 Not Found in 40ms (Views: 25.4ms | ActiveRecord: 7.5ms | Allocations: 8641)

 Could you please help me??

Thank you!

Sincerely yours.

History

#1 - 2023-07-19 07:44 - young lee

I think I posted something wrong.Also, I don't think it's the right post for the board. So Sorry...

Please remove this issue.

I would appreciate it if you delete this issue.

#2 - 2023-07-25 15:34 - Holger Just

- Description updated

#3 - 2023-10-23 04:33 - Mischa The Evil

- Affected version changed from 5.0.4 to 5.0.5
